Jump to content

Recommended Posts

hallo, ich habe seit neuem ein riesenproblem, bei änderung bzw. hinzufügen von versandspannen in einem versanddienst - speichern der einstellung nicht möglich.

fehlermeldung:

TECHNICAL ERROR:

Details:
Error thrown: [object Object]
Text status: parsererror

jemand dasselbe problem bzw. lösungsansatz ?

error.jpg

Share this post


Link to post
Share on other sites

Hallo :)

Eines gleich vorneweg: ich bin grad am erstmaligen Rumexperimentieren mit dem Programm!! Also bitte keine fundierten technischen Aussagen erwarten!! ;)

Nur soviel: zur gleichen Zeit der gleiche Fehler bei mir auf einer Version 1.6.1.24* auf Localhost.


 

Nach dem Löschen des CACHE (Firefox) hat es funktioniert!! :) Könnte Ihnen ja vielleicht auch helfen??

Jean G.

*PS. Ältere Version deshalb weil ich die "Neuere" überhaupt nicht richtig ans Laufen bekomme?? Unter Localhost...

Share this post


Link to post
Share on other sites

Weitere Meldung: ich musste von PHP 7.4 auf 7.2 downloaden. Nun funktionniert so einiges was vorher nciht ging! :)

Wäre schön wenn ich als absoluter Newbie helfen könte?! ;)

Jean G.

Share this post


Link to post
Share on other sites
2 hours ago, Jean Gangolf said:

Hallo :)

Eines gleich vorneweg: ich bin grad am erstmaligen Rumexperimentieren mit dem Programm!! Also bitte keine fundierten technischen Aussagen erwarten!! ;)

Nur soviel: zur gleichen Zeit der gleiche Fehler bei mir auf einer Version 1.6.1.24* auf Localhost.


 

Nach dem Löschen des CACHE (Firefox) hat es funktioniert!! :) Könnte Ihnen ja vielleicht auch helfen??

Jean G.

*PS. Ältere Version deshalb weil ich die "Neuere" überhaupt nicht richtig ans Laufen bekomme?? Unter Localhost...

der fehler tritt bei meiner version 1.6.1.4 auf.
den selben shop hab ich jetzt parallel auf einer anderen domain mit 1.7.3 laufen, ohne probleme (momentan ..)

Share this post


Link to post
Share on other sites
Posted (edited)

chache löschen ,sowohl im browser wie auch in presta, hat nichts gebracht, leider.
presta 1.6 läuft natürli h auf php 7.4 nicht, wundert mich aber das es auf 7.2 läuft, da ja nur bis 7.1 supported wird?

Edited by mikejoebstl (see edit history)

Share this post


Link to post
Share on other sites
Posted (edited)

Guten Morgen :)

Was PHP anbelangt, bin ich (noch) kein Spezialist! ;) Werde aber wohl kaum da dran vorbei kommen mich näher damit zu beschäftigen.

Was aber wichtig scheint: in einem anderen Thema hatte ich gestern eine Meldung (von vor zwei Tagen!) von einem "Spezialisten" gelesen dass wohl Prestashop nur auf einer PHP Umgebung bis Version 7.2 läuft!

Ich hab's dann irgendwie hin bekommen* meine Version 7.4 zu "deaktivieren", so dass PS nun auf 7.2 läuft. Und was soll ich sagen. Es scheint zu funktionieren! :) Uff!

Jean G.

*PS_1. Zu Testzwecken läuft PS momentan hier auf einem Localhost. Betrieben unter MAMP. Diese Software greift die höchstmögliche Version von PHP ab. ES hat, ganz banal, genügt, die vorhandenen Ordner mit den PHP-Versionen 7.4 und 7.3 so um zu benennen, dass MAMP sie nicht auftreiben kann! :o Und schon nutzt der Webserver die Version 7.2!

PS_2. Wenn es Ihnen nichts ausmacht werde ich Sie gerne, nach Bedarf einmal auf die Einstellungen der Versandoptionen ansprechen?? Denn dies ist der Grund wieso ich nun (im Auftrag meines Junior) mir PS (noch einmal) anschaue. Wir haben sehr viele Versandarten die vor allem von der Paketgrösse abhängig sind und erst später vom Gewicht. Dazu noch riesige Unterschiede in den Tarifen von Zone zu Zone. So dass Pauschalversandpreise keine Option sein können.

Und hier, in PS, lässt sich ja schon mal der Versand von der Paketgrösse abhängig machen... Vielen Dank für Ihr Verständnis, sollte eine Nachfrage nötig sein... ;)

Edited by Jean Gangolf (see edit history)

Share this post


Link to post
Share on other sites
24 minutes ago, SliderFlash said:

vielleicht hilft dir das weiter

 

Vielen Dank!

Selbstverständlich hilft das weiter!! :)

Share this post


Link to post
Share on other sites

Prestashop läuft auch in 1.7.6.x maximal mit PHP 7.2, ab Version 1.7.7 soll PHP 7.3 unterstützt werden. Für 1.6.x sind für PHP 7.1 oder höher Anpassungen erforderlich, dazu gibt es einen ellenlangen Thread.

Zu den Einstellungen des Versanddienstes, lt. Screenshot fehlen da die Einstellungen von 0,0 bis < 0,1 kg, das könnte für die Fehlermeldung verantwortlich sein.

Share this post


Link to post
Share on other sites

ich habe nun bei meinem hosting alle diese parameter eingestellt, leider tritt der fehler immer noch auf (prest 1.6.1.4 und php 7.1)

>   * *memory_limit = 512M *
>   * *max_execution_time = 300 *
>   * *max_input_time = 300 *
>   * *upload_max_filesize = 20M *
>   * *post_max_size = 20M *
>   * *max_input_vars = 10000 *
>   * *allow_url_fopen = on - with that you. can import images and other
>     accesses externally *
>   * *safe_mode = off *
>   * *cURL - installed for you for example. Paypal and other web services
>     work without problems. *
>   * *mod_rewrite = installed and activated *
>   * *mod_security = off *
>   * *JSON = ON *
>   * *ctype = ON *
>   * *mySQL = INNODB (myIsam does not work correctly) *
>   * *php.ini from the server must include the date.timezone *

Share this post


Link to post
Share on other sites

Was mir noch auffällt ist daß du eine Region "Außerhalb DE/AT" erstellt hast, die sich ja wohl mit "Europe" überschneidet, vielleicht ist dadurch etwas durcheinandergeraten. Teste auch mal, ob der Fehler nur bei "Österreich" oder auch bei anderen Regionen auftritt.

Share this post


Link to post
Share on other sites
7 minutes ago, rictools said:

Was mir noch auffällt ist daß du eine Region "Außerhalb DE/AT" erstellt hast, die sich ja wohl mit "Europe" überschneidet, vielleicht ist dadurch etwas durcheinandergeraten. Teste auch mal, ob der Fehler nur bei "Österreich" oder auch bei anderen Regionen auftritt.

ich habe ja andere versanddienste wie DEUTSCHLAND, AUSSERHALB DE/AT und SCHWEIZ mit etlichen VERSANDZONEN und "Preisspannen", überall funktionierts - der Fehler kommt nur in der ÖSTERREICH sparte ....

Share this post


Link to post
Share on other sites
6 minutes ago, SliderFlash said:

wenn da immer "Object Error" kommt dann kann es nur am Javascript liegen.

- sind alle Javascript dateien vorhanden ?

- kan dein Browser Javascript ausführen ?

- vielleicht Java installieren

kann ich mir nicht ganz vorstellen, hab schon versucht, mit verschiedenen PC und verschiedenen Browwsern im admin diese änderungen der versand-spannen zu machen - der fehler kommt immer und überall ....

Share this post


Link to post
Share on other sites
Gerade eben schrieb mikejoebstl:

fehler kommt immer und überall ....

wenn es überall ist also fehlt da was !

Share this post


Link to post
Share on other sites

Bei Österreich hast du ja keine Preis-, sondern eine Gewichtsspanne, ist das absichtlich anders als bei den anderen Zonen?

Ich würde die Länderzuordnung überprüfen. Und natürlich erst einmal die Spanne ab 0 kg einstellen.

Share this post


Link to post
Share on other sites
3 hours ago, SliderFlash said:

wenn es überall ist also fehlt da was !

ich meine natürlich, der fehler kommt bei jedem browser,und jedem computer, den ich verwendete, also kanns nicht am java liegen....

 

Share this post


Link to post
Share on other sites
1 hour ago, rictools said:

Bei Österreich hast du ja keine Preis-, sondern eine Gewichtsspanne, ist das absichtlich anders als bei den anderen Zonen?

Ich würde die Länderzuordnung überprüfen. Und natürlich erst einmal die Spanne ab 0 kg einstellen.

ich habe bei den anderne ländern auch gewichtsspannen, nur bei österreich kommt der fehler.....

Share this post


Link to post
Share on other sites

ich habe das problem gelöst: versanddienst gelöscht, und neu angelegt - jetzt gehts.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More